package com.hchyun.generator.service;

import com.hchyun.common.utils.ServerResult;
import com.hchyun.generator.entity.UniCon;
import com.hchyun.generator.entity.UniQuery;

import java.util.List;
import java.util.Map;

/**
 * @Author 18209
 * @Date 2021/1/30 18:54
 * @Version 1.0
 */
public interface QueryService {
    /**
     * 通过id查询基础信息
     *
     * @param id
     * @return
     */
    ServerResult<UniQuery> selectQueryById(Long id);

    /**
     * 修改基础信息
     *
     * @param uniQuery
     * @return
     */
    ServerResult<Integer> updateQueryInfo(UniQuery uniQuery);

    /**
     * 预览万能查询数据
     *
     * @param uniQuery
     * @return
     */
    ServerResult<List<Map<String, Object>>> previewQuery(UniQuery uniQuery);

    /**
     * 获取真实查询基本信息
     *
     * @param id
     * @return
     */
    ServerResult<List<UniCon>> RealInfo(Long id);

    /**
     * 获取查询信息
     *
     * @param uniQuery
     * @return
     */
    ServerResult<List<Map<String, Object>>> RealData(UniQuery uniQuery, Integer type);

    /**
     * @param uniQuery
     * @return
     */
    ServerResult<Integer> Release(UniQuery uniQuery);
}
